@import url("https://fonts.googleapis.com/css2?family=Montserrat:wght@400;500;600;700&display=swap");

:root {
  --primary-color: #37bec0;
  --secondary-color: #ed107b;
  --secondary-2-color: #7a34bf;
}

body {
  font-family: "Montserrat", sans-serif !important;
  font-weight: 400 !important;
}

/* Apply Montserrat to common text elements to override theme Gordita */
h1, h2, h3, h4, h5, h6,
p, span, div, a,
ul, ol, li,
label, small,
button, input, textarea, select {
  font-family: "Montserrat", sans-serif !important;
}

.site-bg-primary {
  background-color: var(--primary-color) !important;
  color: #fff !important;
}

.btn-site-primary {
  background-color: var(--primary-color) !important;
  color: #fff !important;
  border-radius: 25px;
  padding: 12px 20px;
}
.btn-site-dark {
  background-color: #1f1927 !important;
  color: #fff !important;
  border-radius: 25px;
  padding: 12px 20px;
}
.site-bg-secondary {
  background-color: var(--secondary-color) !important;
  color: #fff !important;
}
.site-bg-secondary-2 {
  background-color: var(--secondary-2-color) !important;
  color: var(--secondary-color) !important;
}

.site-primary {
  color: var(--primary-color) !important;
}
.site-secondary {
  color: var(--secondary-color) !important;
}

.blackcurrant-color {
  background-color: var(--primary-color) !important;
  font-weight: bold !important;
}

.header-menu a {
  color: var(--secondary-color) !important;
  font-weight: bold;
}

.hero-style-3 .hero-img {
  -webkit-transform: rotate(-20deg);
  -ms-transform: rotate(-20deg);
  transform: rotate(-6deg);
}

.footer-bottom img {
  width: 15%;
}

.text-align {
  text-align: justify !important;
}

.footer-style-3 { background-color: #dff6f6; }
.footer-style-3 .footer-top.footer-top-pt{padding-top:.5rem}
@media (min-width: 992px) {
  .footer-style-3 .footer-top.footer-top-pt{padding-top:1.5rem}
}
@media (min-width: 1280px) {
  .footer-style-3 .footer-top.footer-top-pt{padding-top:3rem}
}
.footer-style-3 .footer-list .title{color:#ED107B !important;font-weight:700;font-size:20px;margin-bottom:10px}
.footer-style-3 .footer-desc{color:#1f1927 !important;font-weight:500;font-size:14px;line-height:1.6;text-align:left !important}
.footer-style-3 .footer-list ul li{height: 38px;}
.footer-style-3 .footer-list ul li a{color:#1f1927 !important;font-weight:600;font-size:14px}
.footer-style-3 .footer-bottom{padding-top:8px;padding-bottom:8px}
.footer-style-3 .footer-bottom p{color:#1f1927 !important;font-weight:600;font-size:13px}
.footer-style-3 .footer-social-link ul li a img{width:30px;height:30px}

@media (max-width: 767px){
  .footer-style-3 .footer-list .title{font-size:18px}
  .footer-style-3 .footer-desc{font-size:13px}
  .footer-style-3 .footer-list ul li a{font-size:13px}
  .footer-style-3 .footer-social-link ul li a img{width:28px;height:28px}
}

.modal-img {
  width: 100%;
  max-height: 500px;
  object-fit: cover;
}

.form-control {
  height: 45px !important;
}

.form-control:focus {
  box-shadow:
    inset 0 1px 1px rgba(0, 0, 0, 0.075),
    0 0 8px rgba(250, 123, 122, 0.6);
}

input[type="text"]:focus,
input[type="email"]:focus,
input[type="number"]:focus {
  outline-color: #fa7b7a !important;
}

/* removing arrows of input type number (start) */

/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type="number"] {
  -moz-appearance: textfield;
}

.form-control::placeholder {
  color: var(--secondary-color);
  opacity: 1; /* Firefox */
}

.form-control::-ms-input-placeholder {
  /* Edge 12-18 */
  color: var(--secondary-color);
}

.demo-text {
  font-weight: 400;
  font-style: italic;
  text-align: justify;
  font-size: 14px;
}
.modal-content {
  border-radius: 0px !important;
}

.main-header {
  position: relative;
  height: 567px;
  background-size: cover;
  background-repeat: no-repeat;
}
.body-header {
  padding: 208px 0 0 100px;
}
.headtext {
  font-size: 4.5vw;
  line-height: 80px;
  margin-top: 30px;
  align-items: center;
  color: var(--secondary-color);
}
.bodytext {
  font-size: 20px;
  line-height: 27px;
  margin-top: 30px;
  align-items: center;
  color: var(--secondary-color);
}

.securitySectionImage {
  width: 71% !important;
}
@media screen and (max-width: 992px) {
  .home-header {
    display: none;
  }
  .body-header {
    padding: 225px 0 0 30px;
  }
  .headtext {
    font-size: 40px;
  }

  .securitySectionImage {
    width: 40% !important;
  }

  .bodytext {
    padding-right: 60px;
  }
}
@media screen and (max-width: 767px) {
  .main-header::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.3);
    z-index: 1;
  }

  .main-header {
    background-size: contain;
    height: auto;
    padding-top: 33%;
    z-index: 1; /* Ensures the overlay is above the background image */
    height: 165px;
  }
  .body-header {
    position: absolute;
    top: 44px;
    left: 0;
    right: 0;
    bottom: 0;
    padding: 10% 5%; /* Adjust these percentages to better fit your content within the image */
    display: flex;
    flex-direction: column;
    justify-content: center; /* Centers the text vertically */
    z-index: 2;
  }

  .headtext {
    /* font-size: 28px; */
    font-size: 16px;
    margin-top: 0;
    margin-bottom: 0;
    line-height: 1;
    color: #fff;
  }

  .bodytext {
    /* font-size: 14px; */
    margin-top: 0;
    line-height: 1;
    margin-top: 5px;
    color: #fff;
    font-size: 12.5px;
    margin-bottom: 44px;
    padding: 2px;
  }

  .securitySectionImage {
    width: 80% !important;
  }

  .whyUsHeresWhyHeading {
    font-size: 30px !important;
  }

  .secureAndScalable {
    font-size: 30px !important;
  }

  .securitySectionImage {
    margin-bottom: 18px;
  }
}

/* @media screen and (max-width: 600px) {
  .bodytext {
    font-size: 12.5px;
    margin-bottom: 44px;
    padding: 2px;
  }

  .headtext {
    font-size: 16px;
  }

  .main-header {
    height: 165px;
  }
} */

.form {
  width: 100%;
  background-color: #fff;
  border-radius: 10px;
  box-shadow: 0 0 20px 1px rgba(0, 0, 0, 0.1);
  z-index: 1000;
  overflow: hidden;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
}

.contact-form {
  background-color: var(--primary-color);
  position: relative;
}

.circle {
  border-radius: 50%;
  background: var(--secondary-color);
  position: absolute;
}

.circle.one {
  width: 130px;
  height: 130px;
  top: 130px;
  right: -40px;
}

.circle.two {
  width: 80px;
  height: 80px;
  top: 10px;
  right: 30px;
}

.contact-form:before {
  content: "";
  position: absolute;
  width: 26px;
  height: 26px;
  background-color: var(--primary-color);
  transform: rotate(45deg);
  top: 50px;
  left: -13px;
}

form {
  padding: 2.3rem 2.2rem;
  z-index: 10;
  overflow: hidden;
  position: relative;
}

.title {
  color: #fff;
  font-weight: 500;
  font-size: 1.5rem;
  line-height: 1;
  margin-bottom: 0.7rem;
}

.input-container {
  position: relative;
  margin: 1rem 0;
}

.input {
  width: 100%;
  outline: none;
  border: 2px solid #fafafa;
  background: none;
  padding: 0.6rem 1.2rem;
  color: #fff;
  font-weight: 500;
  font-size: 0.95rem;
  letter-spacing: 0.5px;
  border-radius: 5px;
  transition: 0.3s;
}

textarea.input {
  padding: 0.8rem 1.2rem;
  min-height: 150px;
  border-radius: 5px;
  resize: none;
  overflow-y: auto;
}

.input-container label {
  position: absolute;
  top: 50%;
  left: 15px;
  transform: translateY(-50%);
  padding: 0 0.4rem;
  color: #fafafa;
  font-size: 0.9rem;
  font-weight: 400;
  pointer-events: none;
  z-index: 1000;
  transition: 0.5s;
}

.input-container.textarea label {
  top: 1rem;
  transform: translateY(0);
}

.input-container span {
  position: absolute;
  top: 0;
  left: 25px;
  transform: translateY(-50%);
  font-size: 0.8rem;
  padding: 0 0.4rem;
  color: transparent;
  pointer-events: none;
  z-index: 500;
}

.input-container span:before,
.input-container span:after {
  content: "";
  position: absolute;
  width: 10%;
  opacity: 0;
  transition: 0.3s;
  height: 5px;
  background-color: var(--primary-color);
  top: 50%;
  transform: translateY(-50%);
}

.input-container span:before {
  left: 50%;
}

.input-container span:after {
  right: 50%;
}

.input-container.focus label {
  top: 0;
  transform: translateY(-50%);
  left: 25px;
  font-size: 0.8rem;
}

.input-container.focus span:before,
.input-container.focus span:after {
  width: 50%;
  opacity: 1;
}

.contact-info {
  padding: 2.3rem 2.2rem;
  position: relative;
}

.contact-info .title {
  color: var(--primary-color);
}

.text {
  color: #333;
  margin: 1.5rem 0 2rem 0;
}

.information {
  display: flex;
  color: #555;
  margin: 0.7rem 0;
  align-items: center;
  font-size: 0.95rem;
}

.information i {
  color: var(--primary-color);
}

.icon {
  width: 28px;
  margin-right: 0.7rem;
}

.social-media {
  padding: 2rem 0 0 0;
}

.social-media p {
  color: #333;
}

.social-icons {
  display: flex;
  margin-top: 0.5rem;
}

.social-icons a {
  width: 35px;
  height: 35px;
  border-radius: 5px;
  background: linear-gradient(45deg, var(--primary-color), var(--secondary-color));
  color: #fff;
  text-align: center;
  line-height: 35px;
  margin-right: 0.5rem;
  transition: 0.3s;
}

.social-icons a:hover {
  transform: scale(1.05);
}

.contact-info:before {
  content: "";
  position: absolute;
  width: 110px;
  height: 100px;
  border: 22px solid var(--primary-color);
  border-radius: 50%;
  bottom: -77px;
  right: 50px;
  opacity: 0.3;
}

.big-circle {
  position: absolute;
  width: 500px;
  height: 500px;
  border-radius: 50%;
  background: linear-gradient(to bottom, #1cd4af, #159b80);
  bottom: 50%;
  right: 50%;
  transform: translate(-40%, 38%);
}

.big-circle:after {
  content: "";
  position: absolute;
  width: 360px;
  height: 360px;
  background-color: #fafafa;
  border-radius: 50%;
  top: calc(50% - 180px);
  left: calc(50% - 180px);
}

.square {
  position: absolute;
  height: 400px;
  top: 50%;
  left: 50%;
  transform: translate(181%, 11%);
  opacity: 0.2;
}

.card-project {
  background: #fff;
  box-shadow: 0px 5px 20px rgb(34 35 58 / 15%);
  border-radius: 12px;
  border: none !important;
}
.project-img {
  width: 400px;
}

.recaptcha-container {
  transform-origin: left top; /* Adjust as necessary to align it properly */
  transform: scale(1); /* Start with scaling down; adjust as needed based on your design */
  transition: transform 0.3s ease-in-out;
}

@media screen and (max-width: 800px) {
  .form {
    display: flex;
    flex-direction: column;
  }
}

@media screen and (max-width: 400px) {
  .recaptcha-container {
    transform: scale(0.77); /* Scale down more for smaller devices */
  }
}

.section-learning {
  background: beige;
  padding: 90px 10px;
}
.section-what-makes {
  background: #fff;
  padding: 50px 10px;
}

.section-learning img,
.rounded-img img {
  border-radius: 10px;
}

.ceo-area {
  background-color: #f4fbf7;
}
.ceo-area img {
  border-radius: 100px;
  height: 150px;
  width: 150px;
  object-fit: cover;
}

.newsletter .form-control {
  height: 60px !important;
}

.phoneCountryDropdown .iti {
  width: 100%;
}

.pricing-table .fas {
  font-size: 20px !important;
  margin-top: 5px !important;
}

.select-plan {
  margin-bottom: 5px;
  border-radius: 5px;
  border: 1px solid #ccc;
}

.custom-card {
  border: 2px solid #e0e0e0;
  border-radius: 10px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
  transition:
    transform 0.3s ease,
    box-shadow 0.3s ease,
    border-color 0.3s ease;
  overflow: hidden;
}

.custom-card:hover {
  transform: translateY(-8px);
  box-shadow: 0 10px 20px rgba(0, 0, 0, 0.2);
  border-color: #cadcf0;
}

.custom-card:hover iframe {
  transform: scale(1.02);
}

.custom-card-title {
  font-weight: bold;
  color: #333;
}

.custom-card-text {
  color: #555;
}

.app-download-icon {
  width: 160px;
  margin: 9px 3px 9px 3px;
  cursor: pointer;
  transition: transform 0.3s ease;
}
.app-download-icon:hover {
  transform: scale(1.05);
}

.app-download-modal-bg {
  background-image: url("../images/app-download-modal-bg2.png");
  border-radius: 20px !important;
  overflow: hidden;
  box-shadow: 0 10px 25px rgba(0, 0, 0, 0.2);
  background-position: right;
}

.app-download-modal-body {
  padding: 30px 20px;
}

.app-download-kid-image {
  width: 6.5rem;
  margin-bottom: 15px;
}

.modal-title {
  font-size: 24px;
  color: #051139;
  font-weight: bold;
}

.app-download-desc {
  font-size: 16px;
  margin-bottom: 20px;
  color: #333;
}

.app-download-btn-parent {
  background-color: #f06292;
  color: white;
  border-radius: 10px;
  padding: 10px 25px;
  font-weight: 500;
  transition: all 0.3s ease;
}

.app-download-btn-staff {
  background-color: #36bfc1;
  color: white;
  border-radius: 10px;
  padding: 10px 25px;
  font-weight: 500;
  transition: all 0.3s ease;
}

.app-download-btn-staff:hover {
  background-color: #fff !important;
  color: #36bfc1 !important;
  border: 1px solid #36bfc1 !important;
}

.app-download-btn-parent:hover {
  background-color: #fff !important;
  color: #f06292 !important;
  border: 1px solid #f06292 !important;
}

.app-download-btn-parent img,
.app-download-btn-staff img {
  filter: brightness(0) invert(1);
  transition: filter 0.3s ease;
}

.app-download-btn-parent:hover img,
.app-download-btn-staff:hover img {
  filter: none;
}

.app-download-close-btn {
  position: absolute;
  top: 12px;
  right: 12px;
}

.wave-background {
  background-color: #aaf3f7;
  height: 100px;
  width: 100%;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 0;
}

.wave-top {
  width: 100%;
  height: 100%;
}

.modal-open {
    overflow: hidden !important;
    height: 100vh;
}

.country-dropdown {
    position: relative;
    display: inline-block;
}

.country-btn {
    background: none;
    border: none;
    padding: 0;
    cursor: pointer;
}

.country-btn img {
    width: 32px;
    height: 20px;  /* same height as dropdown items */
    object-fit: cover;
}

.country-menu {
    position: absolute;
    top: 25px;
    left: 53%;
    transform: translateX(-50%);
    background: white;
    padding: 10px 0;
    list-style: none;
    width: 40px;
    text-align: center;
    box-shadow: 0px 4px 12px rgba(0,0,0,0.1);
    display: none;
    z-index: 9999;
}

.country-menu li {
    padding: 6px 0;
    cursor: pointer;
}

.country-menu li img {
    width: 30px;
    height: 20px; /* <— force equal height for all flags */
    object-fit: cover;
}

.country-menu li:hover img {
    transform: scale(1.1);
}

.country-menu li {
    padding: 6px 0;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
}

.header-right li:not(:first-child) {
    margin-left: 0px !important;
}
